Name: Gobo
Version: 1.4
Release: 1
Source: http://www.eiffel-forum.org/archive/bezault/gobo14.zip
Patch0: Gobo-1.4-RedHat.patch
Copyright: Eiffel Forum Freeware License, v1
URL: http://www.gobo.demon.co.uk/eiffel/gobo
Packager: James Graves <ansible@xnet.com>
Group: Development/Languages
Summary: The Gobo Eiffel Library and Eiffel development tools.

%description

Written by Eric Bezault <ericb@gobo.demon.co.uk>

The main concern of the Gobo Eiffel Project is to provide the Eiffel
community with free and portable Eiffel tools and libraries. That way,
you can still use your favorite Eiffel compiler while taking advantage 
of the goodies included in Gobo Eiffel.

This package also has programs for generating Eiffel code:
	gelex, a lexical analyzer,
	geyacc, a parser generator with syntax similar to yacc,
	gepp, an m4 like preprocessor.

%changelog

* Fri Apr 30 1999 - James Graves <ansible@xnet.com>

- Updated for Gobo 1.4, compiled with SmallEiffel -0.78 beta5.

* Fri Jul 3 1998 - James Graves <ansible@xnet.com>

- Initial version, compiled with SmallEiffel -0.80.

%prep

%setup -T -c -n gobo_1.4
unzip -a $RPM_SOURCE_DIR/gobo14.zip
%patch -p1
chmod 755 src/gelex/se.sh src/geyacc/se.sh src/gepp/se.sh

%build

SmallEiffel=/usr/lib/SmallEiffel
GOBO=/usr/src/redhat/BUILD/gobo_1.4
export SmallEiffel RPM_BUILD_DIR GOBO

cd src/geyacc
./se.sh
cd ../..

cd src/gelex
./se.sh
cd ../..

cd src/gepp
./se.sh
cd ../..

%install

rm -rf /usr/lib/gobo
rm -f /usr/bin/gelex /usr/bin/geyacc /usr/bin/gepp
chmod 755 src/gepp/gepp src/geyacc/geyacc src/gelex/gelex
cp src/gepp/gepp src/geyacc/geyacc src/gelex/gelex /usr/bin

mkdir /usr/lib/gobo ; chmod 755 /usr/lib/gobo
find library example -print | cpio -pvdmu /usr/lib/gobo

%post

LPATH=/usr/lib/SmallEiffel/sys/loadpath.UNIX
if [ "`sum $LPATH`" = "39128     1" ]; then
echo -n "./
/usr/lib/SmallEiffel/lib_std/
/usr/lib/SmallEiffel/lib_rand/
/usr/lib/SmallEiffel/lib_show/
/usr/lib/SmallEiffel/lib_se/
/usr/lib/gobo/library/lexical/skeleton/
/usr/lib/gobo/library/parse/skeleton/
/usr/lib/gobo/library/utility/error/
/usr/lib/gobo/library/utility/support/
/usr/lib/gobo/library/kernel/
/usr/lib/gobo/library/kernel/spec/se/
/usr/lib/gobo/library/structure/container/
/usr/lib/gobo/library/structure/cursor/
/usr/lib/gobo/library/structure/list/
/usr/lib/gobo/library/structure/search/
/usr/lib/gobo/library/structure/sort/
/usr/lib/gobo/library/structure/support/
/usr/lib/gobo/library/structure/stack/
/usr/lib/gobo/library/structure/table/" > $LPATH
fi

%postun

LPATH=/usr/lib/SmallEiffel/sys/loadpath.UNIX
if [ "$1" = "0" ]; then
if [ "`sum $LPATH`" = "50391     1" ]; then
echo -n "./
/usr/lib/SmallEiffel/lib_std/
/usr/lib/SmallEiffel/lib_rand/
/usr/lib/SmallEiffel/lib_show/
/usr/lib/SmallEiffel/lib_se/" > $LPATH
fi
fi
%clean

%files
%doc doc misc History.txt Release_notes.txt License.txt Readme.txt Release_notes.txt forum.txt

/usr/bin/gelex
/usr/bin/geyacc
/usr/bin/gepp

/usr/lib/gobo/example
/usr/lib/gobo/library
